
<header class="main-head bg-gradient-dark">
  <a title="{{site.title}} Home" href="{{ home_url }}">
    {% if theme_config.logo.enabled %}<img alt="{{site.title}} Logo" title="{{site.title}} Logo" src="{{ url('theme://images/' ~ theme_config.logo.file) }}" class="site-logo">{% endif %}{% if theme_config.site_title.enabled %}<span class="site-title"> {{site.title}} </span>{% endif %}
  </a>
  <h1 style="display: none;">{{site.title}} - {{page.title}}</h1>

  <div class="header-links">
    <div class="link-trh"><a title="The Re-Volt Hideout" class="header-link bg-pattern-dark" href="https://forum.rvgl.org">Forum</a></div>
    <!--div class="link-matrix"><a title="Re-Volt Matrix Server" class="header-link bg-pattern-dark" href="https://matrix.re-volt.io">Matrix</a></div-->
    <div class="link-discord"><a title="Re-Volt Discord Servers" href="/discord"><img alt="Discord" class="discord-logo header-link bg-pattern-dark" src="{{ url('theme://images/discord.png') }}"></a></div>

    {% if theme_config.donations.enabled %}
      <div class="link-donate"><a title="Donate to Re-Volt I/O" class="header-link bg-pattern-dark donate-hover" href="https://re-volt.io/support/donate"><span>{{theme_config.donations.percent}}%<span class="donations-word-funded"> funded</span></span><div class="donations-percent-bar" style="background: rgb(245,173,88); background: linear-gradient(90deg, rgba(245,173,88,0.3) {{theme_config.donations.percent}}%, rgba(0,0,0,0) {{theme_config.donations.percent}}%);"></div></a></div>
    {% else %}
      <div class="link-donate"><a title="Donate to Re-Volt I/O" class="header-link bg-pattern-dark" href="https://re-volt.io/support/donate">Donate</a></div>
    {% endif %}

    <div class="link-time"><a class="header-link" href="http://time.unitarium.com/utc/{{datetools.parseDate('now')|date('Hi')}}">{{ datetools.parseDate('now')|date('H:i')}} UTC</a></div>
  </div> 
</header>

  <nav class="main-nav bg-pattern-dark">
    <ul>
      {% for ppage in pages.children.visible %}

        {% set current_page = (ppage.active or ppage.activeChild)
          ? 'is-active'
          : '' %}

          <li class="{{ current_page }}">
          
            <a class="{% if current_page == 'is-active' %}active{% endif%}" href="{{ ppage.url }}">
              {{ ppage.menu }}
            </a>
            {% if ppage.children|length > 0 %}
              <ul>
                {% for cpage in ppage.children.visible %}
                  <li>
                    <a class="{% if cpage.active %}active{% endif%}" href="{{ cpage.url }}">
                      {{ cpage.menu }}
                    </a>
                  </li>
                {% endfor %}
              </ul>      
            {% endif %}

          </li>


      {% endfor %}
    </ul>
  </nav>
